package com.prolog.cs.biz.outbound.model.out;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Describe
 * @Author clarence_she
 * @Date 2021/11/18
 **/
@ApiModel("容器绑定出库任务明细")
public class OutboundTaskBindDetail implements Serializable {

    private static final long serialVersionUID =  5447122048952387442L;
    
    @ApiModelProperty("子容器号")
    private String containerNoSub;

    @ApiModelProperty("上游出库任务单ID")
    private String upperSystemTaskId;

    @ApiModelProperty("批号Id")
    private String lotId;

    @ApiModelProperty("商品Id")
    private String itemId;

    @ApiModelProperty("商品名称")
    private String itemName;

    @ApiModelProperty("绑定数量")
    private BigDecimal bindingNum;

    @ApiModelProperty("出库任务是否完成")
    private int outTaskIsFinish;
    
    @ApiModelProperty("操作人账号")
    private String operatorCode;    
    
    @ApiModelProperty("操作时间")
    private String pickTime;

    public String getPickTime() {
        return pickTime;
    }

    public void setPickTime(String pickTime) {
        this.pickTime = pickTime;
    }

    public String getContainerNoSub() {
        return containerNoSub;
    }

    public void setContainerNoSub(String containerNoSub) {
        this.containerNoSub = containerNoSub;
    }

    public String getUpperSystemTaskId() {
        return upperSystemTaskId;
    }

    public void setUpperSystemTaskId(String upperSystemTaskId) {
        this.upperSystemTaskId = upperSystemTaskId;
    }

    public String getLotId() {
        return lotId;
    }

    public void setLotId(String lotId) {
        this.lotId = lotId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public BigDecimal getBindingNum() {
        return bindingNum;
    }

    public void setBindingNum(BigDecimal bindingNum) {
        this.bindingNum = bindingNum;
    }

    public int getOutTaskIsFinish() {
        return outTaskIsFinish;
    }

    public void setOutTaskIsFinish(int outTaskIsFinish) {
        this.outTaskIsFinish = outTaskIsFinish;
    }

    public String getOperatorCode() {
        return operatorCode;
    }

    public void setOperatorCode(String operatorCode) {
        this.operatorCode = operatorCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
}
